max_vector.hpp File Reference

Fill a container with some values, keeping only all the "maximum" inserted values. More...

`#include <vector>`
`#include <functional>`
`#include <claw/impl/max_vector.tpp>`

Go to the source code of this file.

## Classes

class | claw::max_vector< E, Comp, Container >
| Fill a container with some values, keeping only all the "maximum" inserted values. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

Fill a container with some values, keeping only all the "maximum" inserted values.

Author
  Julien Jorge

Definition in file max_vector.hpp.